/*******************************************************************************
 * Path_WithinTraversalDist generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class Path_WithinTraversalDist extends PathConstraint
    native(AI);

var() float MaxTraversalDist;
var() bool bSoft;
var() float SoftStartPenalty;

static function bool DontExceedMaxDist(Pawn P, float InMaxTraversalDist, optional bool bInSoft)
{
    local Path_WithinTraversalDist Con;

    bInSoft = true;
    // End:0xEF
    if((P != none) && InMaxTraversalDist > 0.0)
    {
        Con = Path_WithinTraversalDist(P.CreatePathConstraint(default.Class));
        // End:0xEF
        if(Con != none)
        {
            Con.MaxTraversalDist = InMaxTraversalDist;
            Con.bSoft = bInSoft;
            P.AddPathConstraint(Con);
            return true;
        }
    }
    return false;
    //return ReturnValue;    
}

function Recycle()
{
    super.Recycle();
    MaxTraversalDist = default.MaxTraversalDist;
    bSoft = default.bSoft;
    SoftStartPenalty = default.SoftStartPenalty;
    //return;    
}

defaultproperties
{
    bSoft=true
    SoftStartPenalty=320.0
    CacheIdx=4
}